# NOTES:
#
# This makefile builds the sample assuming that you're using a 1.1.8 JDK
# and that it's installed in c:\jdk1.1.8.  It also assumes that TSNT is
# installed on the machine and that the TSNT environment variable is
# defined.  If either one of these assumptions is incorrect you'll have
# to modify this makefile accordingly.
#

!if exist(c:\jdk1.1.8\bin\javac.exe)
JDK_LOC=C:\jdk1.1.8
!else
JDK_LOC=z:\jdk1.1.8
!endif

BASE_CLASSP=$(JDK_LOC)\lib\classes.zip

JARFILE=javapipe.jar
SRC_ZIPFILE=source.zip

errorfile=err
CLASSFILES= \
        read\PipeReader.class                                      \
        write\PipeWriter.class

CLASSP=.;$(TSNTDIR)\bin\qvsrpam.jar

all: $(CLASSFILES) $(JARFILE) $(SRC_ZIPFILE)

# Create a JAR file
$(JARFILE): $(CLASSFILES)
        wzzip -Pr $(JARFILE) *.class

#create zip for the source
$(SRC_ZIPFILE): $(CLASSFILES)
        wzzip -Pr -x*.zip -x*.jar -x*.class $(SRC_ZIPFILE) *.*

.SUFFIXES: .java .class

.java.class:
        set CLASSPATH=.
        $(JDK_LOC)\bin\javac -classpath $(BASE_CLASSP);$(CLASSP) $<

